[
    {
        "Id": "dce1e219975b06ff2a0243bedfbba830dce1bb4b5be4b59f1567fabdbb1797d9",
        "Created": "2025-06-26T01:01:24.048687682Z",
        "Path": "/unbound.sh",
        "Args": [],
        "State": {
            "Status": "running",
            "Running": true,
            "Paused": false,
            "Restarting": false,
            "OOMKilled": false,
            "Dead": false,
            "Pid": 2806,
            "ExitCode": 0,
            "Error": "",
            "StartedAt": "2025-08-12T22:09:40.369051987Z",
            "FinishedAt": "2025-08-12T22:08:06.41063515Z",
            "Health": {
                "Status": "healthy",
                "FailingStreak": 0,
                "Log": [
                    {
                        "Start": "2025-08-23T21:47:39.433601379-04:00",
                        "End": "2025-08-23T21:47:39.502037755-04:00",
                        "ExitCode": 0,
                        "Output": ";; ->>HEADER<<- opcode: QUERY, rcode: NOERROR, id: 50766\n;; flags: qr rd ra ; QUERY: 1, ANSWER: 2, AUTHORITY: 0, ADDITIONAL: 0 \n;; QUESTION SECTION:\n;; cloudflare.com.\tIN\tA\n\n;; ANSWER SECTION:\ncloudflare.com.\t120\tIN\tA\t104.16.132.229\ncloudflare.com.\t120\tIN\tA\t104.16.133.229\n\n;; AUTHORITY SECTION:\n\n;; ADDITIONAL SECTION:\n\n;; Query time: 0 msec\n;; SERVER: 127.0.0.1\n;; WHEN: Sat Aug 23 21:47:39 2025\n;; MSG SIZE  rcvd: 64\n"
                    },
                    {
                        "Start": "2025-08-23T21:48:09.502879145-04:00",
                        "End": "2025-08-23T21:48:09.624222709-04:00",
                        "ExitCode": 0,
                        "Output": ";; ->>HEADER<<- opcode: QUERY, rcode: NOERROR, id: 62109\n;; flags: qr rd ra ; QUERY: 1, ANSWER: 2, AUTHORITY: 0, ADDITIONAL: 0 \n;; QUESTION SECTION:\n;; cloudflare.com.\tIN\tA\n\n;; ANSWER SECTION:\ncloudflare.com.\t90\tIN\tA\t104.16.133.229\ncloudflare.com.\t90\tIN\tA\t104.16.132.229\n\n;; AUTHORITY SECTION:\n\n;; ADDITIONAL SECTION:\n\n;; Query time: 0 msec\n;; SERVER: 127.0.0.1\n;; WHEN: Sat Aug 23 21:48:09 2025\n;; MSG SIZE  rcvd: 64\n"
                    },
                    {
                        "Start": "2025-08-23T21:48:39.625005028-04:00",
                        "End": "2025-08-23T21:48:39.728314153-04:00",
                        "ExitCode": 0,
                        "Output": ";; ->>HEADER<<- opcode: QUERY, rcode: NOERROR, id: 15975\n;; flags: qr rd ra ; QUERY: 1, ANSWER: 2, AUTHORITY: 0, ADDITIONAL: 0 \n;; QUESTION SECTION:\n;; cloudflare.com.\tIN\tA\n\n;; ANSWER SECTION:\ncloudflare.com.\t60\tIN\tA\t104.16.133.229\ncloudflare.com.\t60\tIN\tA\t104.16.132.229\n\n;; AUTHORITY SECTION:\n\n;; ADDITIONAL SECTION:\n\n;; Query time: 0 msec\n;; SERVER: 127.0.0.1\n;; WHEN: Sat Aug 23 21:48:39 2025\n;; MSG SIZE  rcvd: 64\n"
                    },
                    {
                        "Start": "2025-08-23T21:49:09.729721741-04:00",
                        "End": "2025-08-23T21:49:09.839184728-04:00",
                        "ExitCode": 0,
                        "Output": ";; ->>HEADER<<- opcode: QUERY, rcode: NOERROR, id: 41438\n;; flags: qr rd ra ; QUERY: 1, ANSWER: 2, AUTHORITY: 0, ADDITIONAL: 0 \n;; QUESTION SECTION:\n;; cloudflare.com.\tIN\tA\n\n;; ANSWER SECTION:\ncloudflare.com.\t30\tIN\tA\t104.16.132.229\ncloudflare.com.\t30\tIN\tA\t104.16.133.229\n\n;; AUTHORITY SECTION:\n\n;; ADDITIONAL SECTION:\n\n;; Query time: 0 msec\n;; SERVER: 127.0.0.1\n;; WHEN: Sat Aug 23 21:49:09 2025\n;; MSG SIZE  rcvd: 64\n"
                    },
                    {
                        "Start": "2025-08-23T21:49:39.840471303-04:00",
                        "End": "2025-08-23T21:49:39.928961797-04:00",
                        "ExitCode": 0,
                        "Output": ";; ->>HEADER<<- opcode: QUERY, rcode: NOERROR, id: 41715\n;; flags: qr rd ra ; QUERY: 1, ANSWER: 2, AUTHORITY: 0, ADDITIONAL: 0 \n;; QUESTION SECTION:\n;; cloudflare.com.\tIN\tA\n\n;; ANSWER SECTION:\ncloudflare.com.\t270\tIN\tA\t104.16.133.229\ncloudflare.com.\t270\tIN\tA\t104.16.132.229\n\n;; AUTHORITY SECTION:\n\n;; ADDITIONAL SECTION:\n\n;; Query time: 0 msec\n;; SERVER: 127.0.0.1\n;; WHEN: Sat Aug 23 21:49:39 2025\n;; MSG SIZE  rcvd: 64\n"
                    }
                ]
            }
        },
        "Image": "sha256:a7778ebb14b25328fc6de5b58ddf5dfe3e0891afec8fd86744995fd8dbcd5b4e",
        "ResolvConfPath": "/var/lib/docker/containers/dce1e219975b06ff2a0243bedfbba830dce1bb4b5be4b59f1567fabdbb1797d9/resolv.conf",
        "HostnamePath": "/var/lib/docker/containers/dce1e219975b06ff2a0243bedfbba830dce1bb4b5be4b59f1567fabdbb1797d9/hostname",
        "HostsPath": "/var/lib/docker/containers/dce1e219975b06ff2a0243bedfbba830dce1bb4b5be4b59f1567fabdbb1797d9/hosts",
        "LogPath": "/var/lib/docker/containers/dce1e219975b06ff2a0243bedfbba830dce1bb4b5be4b59f1567fabdbb1797d9/dce1e219975b06ff2a0243bedfbba830dce1bb4b5be4b59f1567fabdbb1797d9-json.log",
        "Name": "/unbound",
        "RestartCount": 0,
        "Driver": "overlay2",
        "Platform": "linux",
        "MountLabel": "",
        "ProcessLabel": "",
        "AppArmorProfile": "docker-default",
        "ExecIDs": null,
        "HostConfig": {
            "Binds": [
                "/opt/unbound:/opt/unbound/etc/unbound:rw"
            ],
            "ContainerIDFile": "",
            "LogConfig": {
                "Type": "json-file",
                "Config": {}
            },
            "NetworkMode": "host",
            "PortBindings": {},
            "RestartPolicy": {
                "Name": "unless-stopped",
                "MaximumRetryCount": 0
            },
            "AutoRemove": false,
            "VolumeDriver": "",
            "VolumesFrom": null,
            "ConsoleSize": [
                0,
                0
            ],
            "CapAdd": null,
            "CapDrop": null,
            "CgroupnsMode": "private",
            "Dns": [],
            "DnsOptions": [],
            "DnsSearch": [],
            "ExtraHosts": [],
            "GroupAdd": null,
            "IpcMode": "private",
            "Cgroup": "",
            "Links": null,
            "OomScoreAdj": 0,
            "PidMode": "",
            "Privileged": false,
            "PublishAllPorts": false,
            "ReadonlyRootfs": false,
            "SecurityOpt": null,
            "UTSMode": "",
            "UsernsMode": "",
            "ShmSize": 67108864,
            "Runtime": "runc",
            "Isolation": "",
            "CpuShares": 0,
            "Memory": 0,
            "NanoCpus": 0,
            "CgroupParent": "",
            "BlkioWeight": 0,
            "BlkioWeightDevice": null,
            "BlkioDeviceReadBps": null,
            "BlkioDeviceWriteBps": null,
            "BlkioDeviceReadIOps": null,
            "BlkioDeviceWriteIOps": null,
            "CpuPeriod": 0,
            "CpuQuota": 0,
            "CpuRealtimePeriod": 0,
            "CpuRealtimeRuntime": 0,
            "CpusetCpus": "",
            "CpusetMems": "",
            "Devices": null,
            "DeviceCgroupRules": null,
            "DeviceRequests": null,
            "MemoryReservation": 0,
            "MemorySwap": 0,
            "MemorySwappiness": null,
            "OomKillDisable": null,
            "PidsLimit": null,
            "Ulimits": null,
            "CpuCount": 0,
            "CpuPercent": 0,
            "IOMaximumIOps": 0,
            "IOMaximumBandwidth": 0,
            "MaskedPaths": [
                "/proc/asound",
                "/proc/acpi",
                "/proc/interrupts",
                "/proc/kcore",
                "/proc/keys",
                "/proc/latency_stats",
                "/proc/timer_list",
                "/proc/timer_stats",
                "/proc/sched_debug",
                "/proc/scsi",
                "/sys/firmware",
                "/sys/devices/virtual/powercap",
                "/sys/devices/system/cpu/cpu0/thermal_throttle",
                "/sys/devices/system/cpu/cpu1/thermal_throttle",
                "/sys/devices/system/cpu/cpu2/thermal_throttle",
                "/sys/devices/system/cpu/cpu3/thermal_throttle"
            ],
            "ReadonlyPaths": [
                "/proc/bus",
                "/proc/fs",
                "/proc/irq",
                "/proc/sys",
                "/proc/sysrq-trigger"
            ]
        },
        "GraphDriver": {
            "Data": {
                "ID": "dce1e219975b06ff2a0243bedfbba830dce1bb4b5be4b59f1567fabdbb1797d9",
                "LowerDir": "/var/lib/docker/overlay2/776cb95c21dbf0b12762efa84f973640ccd6af91ecdc2a74de93cc552976d274-init/diff:/var/lib/docker/overlay2/c941ffc73b6f4cb5360fe7cc72e2734710168c17c426dd6dd782a569163a0dc5/diff:/var/lib/docker/overlay2/c75b4f53c29f8897595179696a191c9d9c791a78ab0a3c9911481f199e514c27/diff:/var/lib/docker/overlay2/e4748e56dc92507dcf0f88a678cc229e381e7b7a3f850f65855d509c586ef32c/diff:/var/lib/docker/overlay2/520a66333d064c54c6a15fd11fbb0bb042673178e83de8362783ed3ae74dd92f/diff:/var/lib/docker/overlay2/3ab96885f06cde2447de557d2f9769a9d843845386c8917fd049b5ffbfc4ae59/diff:/var/lib/docker/overlay2/6ea7cb59aac8fe7c8e5a013e131583dd5f86639d4cb6080a10bde09cd783e134/diff:/var/lib/docker/overlay2/5e50c6c60b060f6f9410151fef933d741343201b0e4da480cf50f695d696fbb8/diff",
                "MergedDir": "/var/lib/docker/overlay2/776cb95c21dbf0b12762efa84f973640ccd6af91ecdc2a74de93cc552976d274/merged",
                "UpperDir": "/var/lib/docker/overlay2/776cb95c21dbf0b12762efa84f973640ccd6af91ecdc2a74de93cc552976d274/diff",
                "WorkDir": "/var/lib/docker/overlay2/776cb95c21dbf0b12762efa84f973640ccd6af91ecdc2a74de93cc552976d274/work"
            },
            "Name": "overlay2"
        },
        "Mounts": [
            {
                "Type": "bind",
                "Source": "/opt/unbound",
                "Destination": "/opt/unbound/etc/unbound",
                "Mode": "rw",
                "RW": true,
                "Propagation": "rprivate"
            }
        ],
        "Config": {
            "Hostname": "OMV800",
            "Domainname": "",
            "User": "",
            "AttachStdin": false,
            "AttachStdout": true,
            "AttachStderr": true,
            "ExposedPorts": {
                "53/tcp": {},
                "53/udp": {}
            },
            "Tty": false,
            "OpenStdin": false,
            "StdinOnce": false,
            "Env": [
                "TZ=America/New_York",
                "PATH=/opt/unbound/sbin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin",
                "NAME=unbound",
                "SUMMARY= is a validating, recursive, and caching DNS resolver.",
                "DESCRIPTION= is a validating, recursive, and caching DNS resolver."
            ],
            "Cmd": [
                "/unbound.sh"
            ],
            "Healthcheck": {
                "Test": [
                    "CMD-SHELL",
                    "drill @127.0.0.1 -p 5335 cloudflare.com || exit 1"
                ],
                "Interval": 30000000000,
                "Timeout": 10000000000,
                "StartPeriod": 30000000000,
                "Retries": 3
            },
            "Image": "mvance/unbound:latest",
            "Volumes": null,
            "WorkingDir": "/opt/unbound/",
            "Entrypoint": null,
            "OnBuild": null,
            "Labels": {
                "com.docker.compose.config-hash": "d9e589a5e3b5a48ce2d66e637213d4b17673e9df0b55582a202b21c32f9f9efd",
                "com.docker.compose.container-number": "1",
                "com.docker.compose.depends_on": "",
                "com.docker.compose.image": "sha256:a7778ebb14b25328fc6de5b58ddf5dfe3e0891afec8fd86744995fd8dbcd5b4e",
                "com.docker.compose.oneoff": "False",
                "com.docker.compose.project": "unbound_adguard",
                "com.docker.compose.project.config_files": "",
                "com.docker.compose.project.working_dir": "/data/compose/71/v7",
                "com.docker.compose.service": "unbound",
                "com.docker.compose.version": "",
                "maintainer": "Matthew Vance",
                "org.opencontainers.image.description": "a validating, recursive, and caching DNS resolver",
                "org.opencontainers.image.licenses": "MIT",
                "org.opencontainers.image.source": "https://github.com/MatthewVance/unbound-docker",
                "org.opencontainers.image.title": "mvance/unbound",
                "org.opencontainers.image.url": "https://github.com/MatthewVance/unbound-docker",
                "org.opencontainers.image.vendor": "Matthew Vance",
                "org.opencontainers.image.version": ""
            }
        },
        "NetworkSettings": {
            "Bridge": "",
            "SandboxID": "af360422c1a565311aa6920e3093f6f4cc7b2af39b32ddf4f2520233c6630466",
            "SandboxKey": "/var/run/docker/netns/default",
            "Ports": {},
            "HairpinMode": false,
            "LinkLocalIPv6Address": "",
            "LinkLocalIPv6PrefixLen": 0,
            "SecondaryIPAddresses": null,
            "SecondaryIPv6Addresses": null,
            "EndpointID": "",
            "Gateway": "",
            "GlobalIPv6Address": "",
            "GlobalIPv6PrefixLen": 0,
            "IPAddress": "",
            "IPPrefixLen": 0,
            "IPv6Gateway": "",
            "MacAddress": "",
            "Networks": {
                "host": {
                    "IPAMConfig": null,
                    "Links": null,
                    "Aliases": null,
                    "MacAddress": "",
                    "DriverOpts": null,
                    "GwPriority": 0,
                    "NetworkID": "8a862649a487280509622408edc5f62ba8b03ffc6061a4d505bf1138d5b99d6a",
                    "EndpointID": "2e074340f9c9f411f5bd0205063804faf0fcf78e8b7f3c4cc929c11e38fbb551",
                    "Gateway": "",
                    "IPAddress": "",
                    "IPPrefixLen": 0,
                    "IPv6Gateway": "",
                    "GlobalIPv6Address": "",
                    "GlobalIPv6PrefixLen": 0,
                    "DNSNames": null
                }
            }
        }
    }
]
